GAP(1)

NAME
GAP - Groups, Algorithms and Programming

SYNOPSIS
gap [OPTIONS] [FILES]

DESCRIPTION
GAP is a system for computational discrete algebra, with particular emphasis on Computational Group Theory. GAP provides a programming language, a library of thousands of functions implementing algebraic algorithms written in the GAP language as well as large data libraries of algebraic objects. GAP is used in research and teaching for studying groups and their representations, rings, vector spaces, algebras, combinatorial structures, and more.

  Startup:

-h, --help
    print this help and exit

--version
    print the GAP version and exit

--print-gaproot
    print the primary GAP root and exit

-b, --banner
    disable/enable the banner

-c  <expr> execute the expression <expr>

--systemfile
    <file> read this file after 'lib/system.g'

  Input/output:

-q, --quiet
    enable/disable quiet mode

-e  disable/enable quitting on <ctrl>-D

-f  force line editing

-n  prevent line editing

-E, --readline
    disable/enable use of readline library (if possible)

-x, --width
    <num> set line width

-y, --lines
    <num> set number of lines

-p  enable/disable package output mode (for use by XGAP and similar interfaces)

  Memory:

    (may use postfix 'k' = *1024, 'm' = *1024*1024,

    'g' = *1024*1024*1024):

-g, --gasinfo
    show GASMAN messages (full/all/no garbage collections) (only available if GAP uses GASMAN)

-m, --minworkspace
    <mem> set the initial workspace size

-o, --maxworkspace
    <mem> set workspace size where GAP will warn about excessive memory usage (GAP may allocate more) (only available if GAP uses GASMAN)

-K, --limitworkspace <mem>
    set maximal workspace size (GAP never allocates more)

-s  <mem> set the initially mapped virtual memory (only available if GAP uses GASMAN)

  Roots:

-l, --roots
    <paths> set or modify the GAP root paths Directories are separated using ';'. Putting ';' on the start/end of list appends directories to the end/start of existing list of root paths

-r  disable/enable user GAP root dir GAPInfo.UserGapRoot

--packagedirs
    <paths> add additional GAP directory paths Directories are separated using ';'.

  Loading:

-A  disable/enable autoloading of suggested GAP packages

-D  enable/disable debugging the loading of files

-M  disable/enable loading of compiled modules

  Error handling, REPL:

-T, --nobreakloop
    disable/enable break loop and error traceback

--alwaystrace
    always print error traceback (overrides behaviour of -T)

--quitonbreak
    quit GAP with non-zero return value instead of entering break loop

--norepl
    Disable the GAP read-evaluate-print loop (REPL)

--nointeract
    Start GAP in non-interactive mode (disable REPL and break loop)

  Workspaces:

    (only available if GAP uses GASMAN):

-L  <file> restore a saved workspace

-R  prevent restoring of workspace (ignoring -L)

  Profiling:

--prof
    <file> Run ProfileLineByLine(<file>) on GAP start

--memprof
    <file> Run ProfileLineByLine(<file>) on GAP start with recordMem := true

--cover
    <file> Run CoverageLineByLine(<file>) on GAP start

Internal developer tools

-N  do not use hidden implications

-O  disable/enable loading of obsolete files

--bare
    Attempt to start GAP without even needed packages

    Short boolean options toggle the current value each time they are called. Default actions are indicated first.

AUTHORS
The GAP Group <http://www.gap-system.org>

COPYRIGHT
     Copyright (1988--2025) by its authors.

     GAP is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SEE ALSO
gac(1) update-gap-workspace(1)

You can read the complete manual in /usr/share/gap/doc or you can use the online help system. Type ?help inside GAP to access it. Type

?Reference: options!under UNIX

to access the full documentation of options.